Skip to main content

Device Tags

List or manage tags associated with network devices and endpoints.OpenAPI: YAML | JSON

A network can include a list of user-defined device tags. These tags can be associated with devices and/or endpoints as metadata. Tags can be used in NQE queries and to filter devices in various workflows in the application. A device tag can also be assigned a color to make it easier to identify its associated devices in network diagrams.

This section includes operations for listing and managing device tags. It includes operations for adding, removing, and replacing all tags for network devices and endpoints.

Note: The following operations from other sections (Classic Devices, Network Devices, and Network Endpoints) can include device tags in their responses if specifically requested:

  • GET /api/networks/:networkId/classic-devices?with=tags
  • GET /api/networks/:networkId/classic-devices/:deviceName?with=tags
  • GET /api/networks/:networkId/devices?with=tags
  • GET /api/networks/:networkId/devices/:deviceName?with=tags
  • GET /api/networks/:networkId/network-endpoints?with=tags
  • GET /api/networks/:networkId/network-endpoints/:endpointName?with=tags

Get all device tags
/api/networks/:networkId/device-tags
Create a device tag
/api/networks/:networkId/device-tags
Get all tags with their devices
/api/networks/:networkId/device-tags?with=devices
Create device tags
/api/networks/:networkId/device-tags?action=addBatch
Add tags to devices
/api/networks/:networkId/device-tags?action=addBatchTo
Remove all tags from devices
/api/networks/:networkId/device-tags?action=removeAllFrom
Remove tags from devices
/api/networks/:networkId/device-tags?action=removeBatchFrom
Replace all tags for devices
/api/networks/:networkId/device-tags?action=replaceAllFor
Get a device tag
/api/networks/:networkId/device-tags/:tagName
Update a device tag
/api/networks/:networkId/device-tags/:tagName
Delete a device tag
/api/networks/:networkId/device-tags/:tagName
Get a tag with its devices
/api/networks/:networkId/device-tags/:tagName?with=devices
Add a tag to devices
/api/networks/:networkId/device-tags/:tagName?action=addTo
Remove a tag from devices
/api/networks/:networkId/device-tags/:tagName?action=removeFrom